Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046225
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] Restaurantsmajoralways2021-04-07 16:142021-04-13 17:35
ReporterremibrunetView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046225: Unable to hide total to count of payment method during cash up / safe box counting

DescriptionWhen doing a cash up or a safe box counting, every total to count are showed

The need was to be able to hide some payment method total to force the cashier to manually enter a value for this line.

There isn't any parameter on payment method tab in safebox windows or channel type windows to configure that.

JIRA 1463
Steps To ReproduceConnect on a pos
Do a cash up or a safe box count
See the total expected always shown
Proposed SolutionAdd an option on payment method tab in safebox windows or channel type window to allow the display of the total / difference pending.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127212)
hgbot (developer)
2021-04-11 13:19

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/376 [^]
(0127254)
hgbot (developer)
2021-04-13 17:35

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/376 [^]
(0127255)
hgbot (developer)
2021-04-13 17:35

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: e71d42bb8e17a021acf68f2d8a3d322027678382
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2021-04-13T17:33:59+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/e71d42bb8e17a021acf68f2d8a3d322027678382 [^]

Fixes ISSUE-46225: If hideInformationToCashier is true, total info is not shown in cashup report

Now it behaves in pos2 in the same way it behaves in retail.posterminal

---
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/PostPrintAndCloseStep/PostPrintAndCloseStep.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/PostPrintAndCloseStep/__test__/PostPrintAndCloseStep.test.jsx
---

- Issue History
Date Modified Username Field Change
2021-04-07 16:14 remibrunet New Issue
2021-04-07 16:14 remibrunet Assigned To => Retail
2021-04-07 16:14 remibrunet Triggers an Emergency Pack => No
2021-04-07 16:15 remibrunet Description Updated View Revisions
2021-04-07 16:16 remibrunet Proposed Solution updated
2021-04-09 18:20 AugustoMauch Assigned To Retail => AugustoMauch
2021-04-11 13:19 hgbot Note Added: 0127212
2021-04-11 17:50 AugustoMauch Status new => scheduled
2021-04-13 17:35 hgbot Note Added: 0127254
2021-04-13 17:35 hgbot Resolution open => fixed
2021-04-13 17:35 hgbot Status scheduled => closed
2021-04-13 17:35 hgbot Note Added: 0127255


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker